import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdStyle } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 11:42
 */
interface AdStyleCU extends ConditionUtil<AdStyleCU> {
    ID: FieldUtil<AdStyleCU>;
    WIDTH: FieldUtil<AdStyleCU>;
    HEIGHT: FieldUtil<AdStyleCU>;
    TYPE: FieldUtil<AdStyleCU>;
    STATUS: FieldUtil<AdStyleCU>;
    CREATE_TIME: FieldUtil<AdStyleCU>;
    CREATOR: FieldUtil<AdStyleCU>;
    UPDATE_TIME: FieldUtil<AdStyleCU>;
    UPDATOR: FieldUtil<AdStyleCU>;
    AD_POSITION_TYPE: FieldUtil<AdStyleCU>;
}
declare class AdStyleMU extends TableUtilImpl<AdStyleCU, AdStyle> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdStyleCU;
    static get ID(): FieldUtil<AdStyleCU>;
    static get WIDTH(): FieldUtil<AdStyleCU>;
    static get HEIGHT(): FieldUtil<AdStyleCU>;
    static get TYPE(): FieldUtil<AdStyleCU>;
    static get STATUS(): FieldUtil<AdStyleCU>;
    static get CREATE_TIME(): FieldUtil<AdStyleCU>;
    static get CREATOR(): FieldUtil<AdStyleCU>;
    static get UPDATE_TIME(): FieldUtil<AdStyleCU>;
    static get UPDATOR(): FieldUtil<AdStyleCU>;
    static get AD_POSITION_TYPE(): FieldUtil<AdStyleCU>;
    get ID(): FieldUtil<AdStyleCU>;
    get WIDTH(): FieldUtil<AdStyleCU>;
    get HEIGHT(): FieldUtil<AdStyleCU>;
    get TYPE(): FieldUtil<AdStyleCU>;
    get STATUS(): FieldUtil<AdStyleCU>;
    get CREATE_TIME(): FieldUtil<AdStyleCU>;
    get CREATOR(): FieldUtil<AdStyleCU>;
    get UPDATE_TIME(): FieldUtil<AdStyleCU>;
    get UPDATOR(): FieldUtil<AdStyleCU>;
    get AD_POSITION_TYPE(): FieldUtil<AdStyleCU>;
}
export { AdStyleMU, AdStyleCU };
